
Redmine - Defect #5334

MailHandler not processing incoming emails - Unprocessable Entity

2010-04-16 13:20 - Chris Platts

Status: New Start date: 2010-04-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.9.4

Description

Hi,

We recently updated to the latest trunk.  Since then, incoming emails via the mailhandler.rb script are failing.

I tested with a small plain-text email to try to isolate the problem.  The full log entry is below:

Processing MailHandlerController#index (for 172.16.68.33 at 2010-04-16 12:06:03) [POST]

  Parameters: {"no_permission_check"=>"1", "unknown_user"=>"create", "allow_override"=>"", "issue"

=>{"project"=>"sales", "tracker"=>"Sales Lead"}, "key"=>"OzbAo9T4lB6ehMiJy2Vm", "email"=>"From chr

is.platts@xxx.xxx  Fri Apr 16 12:06:02 2010\nReturn-Path: <chris.platts@xxx.xxx>\nX-Original-To: x

xxxx@localhost\nDelivered-To: rosetta-gw@localhost\nReceived: from chur-orp-lnx01.xxx.xx.xx (local

host [127.0.0.1])\n\tby xxxxx.localdomain (Postfix) with ESMTP id F198835C6AC\n\tfor <xxxxx@localh

ost>; Fri, 16 Apr 2010 12:06:01 +0100 (BST)\nX-Original-To: xxxxx@xxx.xxxxxxxxxx.xx.xx\nDelivered-

To: xxxxx@xxx.xxxxxxxxxx.xx.xx\nReceived: from 192.168.10.101 [192.168.10.101]\n\tby xxxx.xxx.xx.x

x with IMAP (fetchmail-6.3.8)\n\tfor <xxxxx@localhost> (single-drop); Fri, 16 Apr 2010 12:06:01 +0

100 (BST)\nReceived: from asmtpout013.mac.com (asmtpout013.mac.com [17.148.16.88])\n\tby xxxxx.dsl

.zen.co.uk (Postfix) with ESMTP id 2D2D038C076\n\tfor <xxxxx@xxx.xxxxxxxxx.xx.xx>; Fri, 16 Apr 201

0 12:06:03 +0100 (BST)\nMIME-version: 1.0\nContent-transfer-encoding: 7BIT\nContent-type: text/pla

in; charset=us-ascii; format=flowed\nReceived: from [192.168.1.101] (xxxxx.xxx.xxx.xx.xx [xx.xxx.x

xx.xxx])\n by asmtp013.mac.com\n (Sun Java(tm) System Messaging Server 6.3-8.01 (built Dec 16 2008

; 32bit))\n with ESMTPSA id <0L0Y001RXUT01J30@asmtp013.mac.com> for\n xxxxx@xxx.xxxxxxxxxxx.xx.xx;

 Fri, 16 Apr 2010 04:05:29 -0700 (PDT)\nX-Proofpoint-Spam-Details: rule=notspam policy=default sco

re=0 spamscore=0\n ipscore=0 phishscore=0 bulkscore=0 adultscore=0 classifier=spam adjust=0\n reas

on=mlx engine=5.0.0-0908210000 definitions=main-1004160061\nMessage-id: <26E4717E-92CE-404C-B53D-7

32B281029FF@mac.com>\nFrom: Chris Platts <chris.platts@xxx.xxx>\nTo: \"xxxxx@xxx.xxxxxxxxxx.xx.xx\

" <xxxxx@xxx.xxxxxxxxx.xx.xx>\nX-Mailer: iPhone Mail (7E18)\nSubject: Test ticket via email\nDate:

 Fri, 16 Apr 2010 12:05:48 +0100\n\nPlease ignore.\n\nSent from my iPhone\n\n"}

Completed in 1534ms (View: 5, DB: 4) | 422 Unprocessable Entity [http://xxx.xx.xx.xx/mail_handler]

 (I've left the \n line-break indicators in - apologies for the horizontal scrolling!)

That email looks very 'standard' -- I can't see anything there that would cause the message to be unprocessable.

My script/about:

About your application's environment

Ruby version              1.8.6 (i486-linux)

RubyGems version          1.3.6

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /var/redmine-latest

Environment               development

Database adapter          mysql

Database schema version   20100313171051

About your Redmine plugins

Timesheet Plugin                     0.5.0
Stuff To Do Plugin                   0.3.0

Redmine Charts                       0.1.0

Redmine Exception Handler plugin     0.2.0

Redmine My Widgets plugin            0.1.0

Rate Plugin                          0.1.0

ezFAQ plugin                         0.3.5

Redmine Repo Pygments plugin         0.0.2

Redmine ezLibrarian plugin           0.1.1

Redmine Stealth plugin               0.1.0

Redmine System Notification plugin   0.2.0

Redmine Graphs plugin                0.1.0

Embedded                             0.0.1

Tab Plugin                           0.3.1

Budget                               0.2.0

Redmine Wiki Extensions plugin       0.1.3

 Thanks!

Chris

History

#1 - 2010-04-18 12:02 - Jean-Philippe Lang

- Category set to Email receiving

#2 - 2010-07-08 18:13 - Felix Schäfer

Do you still see this problem?

#3 - 2010-07-09 18:14 - Chris Platts

I'm afraid so!

It seems rather random.  Some issues will be created or updated absolutely fine, but there's still a rather large number of 422 Unprocessable Entity

errors scattered through the logs.

I'll try to dig out a pattern or at least some more information...

#4 - 2010-07-09 18:28 - Chris Platts

Oh, I should've added:

I'm running Redmine 0.9.4.devel.3810 with script/about showing:

About your application's environment

Ruby version              1.8.6 (i486-linux)

RubyGems version          1.3.6

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /var/redmine-latest

Environment               production

Database adapter          mysql

Database schema version   20100313171051

About your Redmine plugins

Timesheet Plugin                     0.5.0

Stuff To Do Plugin                   0.3.0

Tab Plugin                           0.3.1

Redmine Exception Handler plugin     0.2.0

Redmine Wiki Extensions plugin       0.2.2

Redmine Repo Pygments plugin         0.0.2

Redmine My Widgets plugin            0.1.0

Redmine Charts                       0.1.0

Rate Plugin                          0.1.0

Redmine Code Review plugin           0.3.0

Redmine System Notification plugin   0.2.0

Redmine ezLibrarian plugin           0.1.1

Budget                               0.2.0

Redmine Graphs plugin                0.1.0

2025-05-02 2/3



Redmine Stealth plugin               0.1.0

ezFAQ plugin                         0.3.5

Embedded                             0.0.1

#5 - 2011-01-05 10:37 - Chris Platts

Just thought I'd drop by this thread again to see if there's any change...  Is there any way I can find out from Redmine why the message was

unprocessable?

#6 - 2011-04-14 16:39 - Etienne Massip

- Affected version (unused) set to 0.9.4

- Affected version set to 0.9.4
